<?php

use Taxus\Privilege;

use function DI\autowire, DI\create, DI\get;

$dir = getenv("META_PATH") . "/definitions";

return [
    '%APPKEY%' => [
        'picea' => [
            'context' => "%ESCAPED_NAMESPACE%\\View",
            'asset' => [],
            'extensions' => [],
        ],

        'ulmus' => [
            'entities' => [ '%ESCAPED_NAMESPACE%\\Entity' => getenv("PROJECT_PATH") . '/src/Entity/' ],
        ],

        'routes' => [
            '%ESCAPED_NAMESPACE%\\Controller' => getenv("PROJECT_PATH") . '/src/Controller/',
        ],

        'events' => [
            '%ESCAPED_NAMESPACE%\\Controller' => implode(DIRECTORY_SEPARATOR, [ getenv("PROJECT_PATH"), 'src', 'Controller', '' ]),
        ],

        'cronard' => [
            '%ESCAPED_NAMESPACE%\\Controller' => implode(DIRECTORY_SEPARATOR, [ getenv("PROJECT_PATH"), 'src', 'Controller', '' ]),
        ],

        'cli' => [
            '%ESCAPED_NAMESPACE%\\Controller' => implode(DIRECTORY_SEPARATOR, [ getenv("PROJECT_PATH"), 'src', 'Controller', '' ]),
        ],

        'taxus' => [
            'is_dev' => [ 'dev' => "Can manage almost everything in this application."],
            'is_admin' => [ 'admin' => "Can manage almost everything in this application."],
            'is_moderator' => [ 'moderator' => "Can moderate this application."],
            'is_user' => [ 'user' => "Is an authenticated user."],
            'is_anonymous' => [ 'anonymous' => "Is an anonymous (unauthenticated) user."],
        ]
    ],

    'app.middlewares' => [],
];
